rmml.net
当前位置:首页 >> jAvA环境配置为1.7jDk为什么CmD jAvA %vErsion查看... >>

jAvA环境配置为1.7jDk为什么CmD jAvA %vErsion查看...

查看你的环境变量中Path的配置,确认%java_home%/bin在path值的第一个。 或者在cmd中输入echo %path%,看一下实际有效的path值是什么,其中的java配置对不对。

要么就是你JDK 安装有问题, 要么就是你的环境变量配置有问题。 需要看你电脑上的情况了。

C:\windows\System32下,还有java.exe。。。 所以,要将 JAVA的bin目录,放在PATH的最前面。。。。。。。。。。。。

javac后面跟上java文件,如:javac aa/a.java java-version改为java -version

1)在系统变量里新建JAVA_HOME变量,变量值为:C:\Program Files\Java\jdk1.7.0_06 2)新建classpath变量,变量值为:.;%JAVA_HOME%\lib;%JAVA_HOME%\jre\lib 3)在path变量(已存在不用新建)添加变量值(重点:在最前面添加):%JAVA_HOME%\bi...

我也是同样的问题,应该是系统里同时安装了jdk1.7和1.8,系统默认使用最高版本的jre环境,但是在eclipse里可以根据需要配置使用1.8或向下版本的jdk

1、在cmd命令窗口打 java,然后直接回车,看是否出错,如果出错,则说明java命令不生效,即java 开头的命令都不会生效的。解决办法:配置环境变量(建议直接百度搜“jdk环境变量配置”,第一条百度经验可行),配置环境变量不需要重启电脑,但是cmd...

可能以前装过低版本吧,装1.7的时候没有改变环境变量的问题

whichjava看一下,你用的java肯定不是/usr/java/jdk1.7.0_21/bin下的一般应该是/usr/bin下的java,这是个链接到openjdk的java你可以将/usr/bin下的java删除

建议不要用最新的jdk最新的版本,因为有很多bug是未知的。建议用jdk1.6,jdk1.5

网站首页 | 网站地图
All rights reserved Powered by www.rmml.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com